Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Truncate Method (Transaction)
BaseDatabase Class See Also Send Feedback

Empty the database, discarding all records it contains.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public uint Truncate(
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Function Truncate ( _
    	txn As Transaction _
    ) As UInteger

Visual C++
    public:
    unsigned int Truncate(
    	Transaction^ txn
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

The number of records discarded from the database.

# Remarks

If txn is null and the operation occurs in a transactional database, the operation is implicitly transaction protected.

# See Also

BaseDatabase Class
Truncate Overload
BerkeleyDB Namespace